Name:           zsync
Version:        0.6.2
Release:        1
Summary:        Client-side Implementation of the Rsync Algorithm over HTTP
License:        Artistic-2.0
URL:            http://zsync.moria.org.uk/
Group:          Productivity/Networking/Other
Source0:        http://zsync.moria.org.uk/download/%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build

%description
zsync is a implementation of rsync over HTTP. It allows updating of files from
a remote Web server without requiring a full download or a special remote
server application. It uses a metafile, which is created on the server,
to determine which parts of a file the user already has; it then downloads
the remaining parts via HTTP. No special server or Web server module is
needed. It also works with gzip files, and content on the server can be
compressed to further reduce download times.


%package devel
Summary:        Client-side Implementation of the Rsync Algorithm over HTTP
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description devel
zsync is a implementation of rsync over HTTP. It allows updating of files from
a remote Web server without requiring a full download or a special remote
server application. It uses a metafile, which is created on the server,
to determine which parts of a file the user already has; it then downloads
the remaining parts via HTTP. No special server or Web server module is
needed. It also works with gzip files, and content on the server can be
compressed to further reduce download times.


%prep
%setup -q
%patch0


%build
export CC=xlc_r

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_includedir}/%{name}
cp libzsync/*.h ${RPM_BUILD_ROOT}%{_includedir}/%{name}/
chmod 0644 ${RPM_BUILD_ROOT}%{_includedir}/%{name}/*

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
cp libzsync/*.a  ${RPM_BUILD_ROOT}%{_libdir}/
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir}/*

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING README
%{_bindir}/*
%{_mandir}/man?/*
/usr/bin/*


%files devel
%defattr(-,root,system)
%{_includedir}/*
%{_libdir}/*.a
/usr/include/*
/usr/lib/*.a


%changelog
* Fri Mar 14 2014 Michael Perzl <michael@perzl.org> - 0.6.2-1
- first version for AIX V5.1 and higher
